Get hourly metrics
GET /v2/organizations/{organization}/projects/{project}/metrics/hourly
Returns the last hour of minute-by-minute metrics data
Authorizations
Parameters
Path Parameters
Organization identifier
Project identifier
Query Parameters
Filter by domain ID or domain name
Metrics to return (default: hits, bytes). Use the /metrics/available endpoint to list all metrics by category.
Timestamp format in response
Responses
200
Hourly metrics data
object
object
The period type for this data
hourlyThe granularity of data points
minuteStart time of the data range (ISO8601 or Unix timestamp based on timestamp_format parameter)
2026-01-29T12:00:00+00:00End time of the data range (ISO8601 or Unix timestamp based on timestamp_format parameter)
2026-01-29T13:00:00+00:00List of metrics included in the response
[ "hits", "bytes"]Domain filter applied (if any)
Metrics data keyed by metric name
object
object
Total value for the period
8523All-time total value
1284567Average value per time unit in the period
142.05{ "hits": { "series": [ { "timestamp": "2026-01-29T12:00:00+00:00", "value": 150 }, { "timestamp": "2026-01-29T12:01:00+00:00", "value": 142 } ], "period_total": 8523, "all_time_total": 1284567, "period_average": 142.05 }, "bytes": { "series": [ { "timestamp": "2026-01-29T12:00:00+00:00", "value": 1520576 }, { "timestamp": "2026-01-29T12:01:00+00:00", "value": 1423456 } ], "period_total": 91234567, "all_time_total": 12845670000, "period_average": 1520576.12 }}400
Invalid metric requested
404
No domains found or domain not found